// Created  By Neil MacKenzie - Nov 2001.

 
#include <Carbon/Carbon.h>
#ifdef __cplusplus
extern "C" {
#endif
 
    Boolean CapCreateURLFromBookMark(CFDataRef theBookMarkData, CFURLRef *bookMarkedURL);
    Boolean StartSecurityScope(CFURLRef theURL);
    void RemoveSecurityScope(CFURLRef theBookMarkedURL);
    
    // Put up a File Open Dialog
	
    Boolean CapDoOpenFileMulti(CFMutableArrayRef	*opendFileRefArrayCF, CFArrayRef          *openedFileURLSCF, Boolean singleFile,Boolean directoryOnly,const char *message,  OSType fileType[], short numFileTypes, char* fileExtension[],short numbOfExtentions, char *fileExtensionPopUpName, Boolean allowAllDocuments,OSErr *theErr);
    
    Boolean	CapDoOpenFile(FSRefPtr openedFileRef, CFURLRef       *openedFileURL, const char *message, OSType creatorType, OSType fileType[], short numFileTypes, char* fileExtension[],short numbOfExtentions, char *fileExtensionPopUpName, UInt32 prefKey,  Boolean allowAllDocuments, OSErr *dialogErr);
    
    // Put up a File Save Dialog
	
    OSErr CapDoSaveFile(WindowRef parentWindow, FSRefPtr defaultDirectoryPtr, const char* suggestedFileName, const char * message, const UInt32 savePrefKey, OSType fileType,  OSType fileCreator, FSRefPtr parentDirectoryRef, CFStringRef *fileNameRefPtr, FSRefPtr existingFileRefPtr,CFURLRef        *theSaveToFileURL );
	
    int CapDoAskToSaveChanges(WindowRef parentWindow,char *fileName  );
	
    OSErr CapChooseFolder(FSRefPtr opendFileRef, UInt32 prefKey);
    
    Boolean CapIsReadable(char * path);
    
    Boolean CapIsWriteable(char * path);
    
    Boolean CapIsReadableFSRef(FSRef *theFSRef );
    
    Boolean CapIsWriteableFSRef(FSRef *theFSRef );


#ifdef __cplusplus
}
#endif
